public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-totp/
@ 2020-02-26 16:17 Joonas Niilola
  0 siblings, 0 replies; 10+ messages in thread
From: Joonas Niilola @ 2020-02-26 16:17 UTC (permalink / raw
  To: gentoo-commits

commit:     8d85024367dd1e86616628d9efd90933581f4cc4
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Thu Feb 20 02:06:07 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Feb 26 16:17:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8d850243

app-crypt/tpm2-totp: Bump version to 0.2.1

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-crypt/tpm2-totp/Manifest               |  1 +
 app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild | 34 ++++++++++++++++++++++++++++++
 2 files changed, 35 insertions(+)

diff --git a/app-crypt/tpm2-totp/Manifest b/app-crypt/tpm2-totp/Manifest
index 4c6b8deaba8..db6a6311864 100644
--- a/app-crypt/tpm2-totp/Manifest
+++ b/app-crypt/tpm2-totp/Manifest
@@ -1 +1,2 @@
 DIST tpm2-totp-0.1.1.tar.gz 357787 BLAKE2B c7a24b30c155cfd5387180a2c8584497327eadd701068aa5eb3c385bbadf26f448f88c238849fbf68c4e7265f01d3783b3aa50a912070df1c2fd4485310f2299 SHA512 33a4af16a292ddd674a399bf12ce0b355d95de7014e8be11816a1d88edfd36ae222a8b7508f3aa1be3b46c7e04bf2712ee4839cf9f4f83fc308cb4f639ec5b9f
+DIST tpm2-totp-0.2.1.tar.gz 427226 BLAKE2B e6a9dbcdac4d7fc31048aff968e3eea097752c79a3c1b8551d22558a6b143a758e7bb507722185c648000f4b1edd2f0bbdd443890b5763b297f3d42cfbd84d9d SHA512 2bda34e89b76319a40206e08c0208b0f139309c0b0e40e7168b5e7562096750df504dfcae3a39e6f82fdccbf7a79ed0802d115fbd7560dc3f5b52d81fe8fb59c

diff --git a/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild b/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild
new file mode 100644
index 00000000000..b71028505e0
--- /dev/null
+++ b/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild
@@ -0,0 +1,34 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Attest the trustworthiness of a device against a human using time-based OTP"
+HOMEPAGE="https://github.com/tpm2-software/tpm2-totp"
+SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=app-crypt/tpm2-tss-2.0:=
+	media-gfx/qrencode:="
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--disable-defaultflags
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-totp/
@ 2020-02-26 16:17 Joonas Niilola
  0 siblings, 0 replies; 10+ messages in thread
From: Joonas Niilola @ 2020-02-26 16:17 UTC (permalink / raw
  To: gentoo-commits

commit:     abc709149b85fc78978e68a2b662aaf5a7c4e8ea
Author:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 26 16:12:18 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Feb 26 16:17:26 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=abc70914

app-crypt/tpm2-totp: remove non-defined subslot binder

Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild b/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild
index b71028505e0..345b03f9a7a 100644
--- a/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild
+++ b/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild
@@ -13,7 +13,7 @@ LICENSE="BSD"
 SLOT="0"
 KEYWORDS="~amd64"
 
-RDEPEND=">=app-crypt/tpm2-tss-2.0:=
+RDEPEND=">=app-crypt/tpm2-tss-2.0
 	media-gfx/qrencode:="
 DEPEND="${RDEPEND}"
 BDEPEND="virtual/pkgconfig"


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-totp/
@ 2020-02-26 16:17 Joonas Niilola
  0 siblings, 0 replies; 10+ messages in thread
From: Joonas Niilola @ 2020-02-26 16:17 UTC (permalink / raw
  To: gentoo-commits

commit:     17a6c97bab8ae51de143e45263569fdf99c8b373
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Thu Feb 20 02:06:07 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Wed Feb 26 16:17:25 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=17a6c97b

app-crypt/tpm2-totp: Add salah.coronya <AT> gmail.com as proxy maintainer

Package-Manager: Portage-2.3.79, Repoman-2.3.16
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-crypt/tpm2-totp/metadata.xml | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/app-crypt/tpm2-totp/metadata.xml b/app-crypt/tpm2-totp/metadata.xml
index b07ebff083c..ff3a177c4bd 100644
--- a/app-crypt/tpm2-totp/metadata.xml
+++ b/app-crypt/tpm2-totp/metadata.xml
@@ -1,7 +1,14 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
 <pkgmetadata>
-	<!-- maintainer-needed -->
+	<maintainer type="person">
+		<email>salah.coronya@gmail.com</email>
+		<name>Salah Coronya</name>
+	</maintainer>
+	<maintainer type="project">
+		<email>proxy-maint@gentoo.org</email>
+		<name>Proxy Maintainers</name>
+	</maintainer>
 	<upstream>
 		<remote-id type="github">tpm2-software/tpm2-totp</remote-id>
 	</upstream>


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-totp/
@ 2020-06-19 23:47 Conrad Kostecki
  0 siblings, 0 replies; 10+ messages in thread
From: Conrad Kostecki @ 2020-06-19 23:47 UTC (permalink / raw
  To: gentoo-commits

commit:     df6979f97a2c9440834e02118716b0d1b523f808
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sun May 31 20:48:19 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Fri Jun 19 23:47:12 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=df6979f9

app-crypt/tpm2-totp: Don't install static libs

Closes: https://bugs.gentoo.org/726494
Closes: https://github.com/gentoo/gentoo/pull/16037
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild | 35 +++++++++++++++++++++++++++
 1 file changed, 35 insertions(+)

diff --git a/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild b/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild
new file mode 100644
index 00000000000..bafbd71fdc7
--- /dev/null
+++ b/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Attest the trustworthiness of a device against a human using time-based OTP"
+HOMEPAGE="https://github.com/tpm2-software/tpm2-totp"
+SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+
+RDEPEND=">=app-crypt/tpm2-tss-2.0
+	media-gfx/qrencode:="
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--disable-static
+		--disable-defaultflags
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-totp/
@ 2020-06-19 23:47 Conrad Kostecki
  0 siblings, 0 replies; 10+ messages in thread
From: Conrad Kostecki @ 2020-06-19 23:47 UTC (permalink / raw
  To: gentoo-commits

commit:     4e6de38504eceae500825aab275770a9a2882c20
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Fri Jun 19 23:10:40 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Fri Jun 19 23:47:13 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4e6de385

app-crypt/tpm2-totp: Remove old

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild | 34 ------------------------------
 1 file changed, 34 deletions(-)

diff --git a/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild b/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild
deleted file mode 100644
index 345b03f9a7a..00000000000
--- a/app-crypt/tpm2-totp/tpm2-totp-0.2.1.ebuild
+++ /dev/null
@@ -1,34 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools
-
-DESCRIPTION="Attest the trustworthiness of a device against a human using time-based OTP"
-HOMEPAGE="https://github.com/tpm2-software/tpm2-totp"
-SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/v${PV}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND=">=app-crypt/tpm2-tss-2.0
-	media-gfx/qrencode:="
-DEPEND="${RDEPEND}"
-BDEPEND="virtual/pkgconfig"
-
-src_prepare() {
-	default
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		--disable-defaultflags
-}
-
-src_install() {
-	default
-	find "${D}" -name '*.la' -delete || die
-}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-totp/
@ 2020-06-22 16:08 Conrad Kostecki
  0 siblings, 0 replies; 10+ messages in thread
From: Conrad Kostecki @ 2020-06-22 16:08 UTC (permalink / raw
  To: gentoo-commits

commit:     d916e7c2ca0a4d86fb6c50d12ba9459045ce473d
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Mon Jun 22 15:25:19 2020 +0000
Commit:     Conrad Kostecki <conikost <AT> gentoo <DOT> org>
CommitDate: Mon Jun 22 16:04:41 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d916e7c2

app-crypt/tpm2-totp: Add missing backslash

Closes: https://bugs.gentoo.org/729174
Closes: https://github.com/gentoo/gentoo/pull/16370
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Conrad Kostecki <conikost <AT> gentoo.org>

 app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild b/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild
index bafbd71fdc7..e2c2d163e57 100644
--- a/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild
+++ b/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild
@@ -25,7 +25,7 @@ src_prepare() {
 
 src_configure() {
 	econf \
-		--disable-static
+		--disable-static \
 		--disable-defaultflags
 }
 


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-totp/
@ 2020-10-02  8:42 Joonas Niilola
  0 siblings, 0 replies; 10+ messages in thread
From: Joonas Niilola @ 2020-10-02  8:42 UTC (permalink / raw
  To: gentoo-commits

commit:     6648753770110da6d18fb1533b1eb41d70e8557d
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Mon Sep 14 03:50:23 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Oct  2 08:42:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66487537

app-crypt/tpm2-totp: Remove old

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Closes: https://github.com/gentoo/gentoo/pull/17534
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-crypt/tpm2-totp/Manifest                  |  1 -
 app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild | 35 ---------------------------
 2 files changed, 36 deletions(-)

diff --git a/app-crypt/tpm2-totp/Manifest b/app-crypt/tpm2-totp/Manifest
index 85caafc9799..58600b79dae 100644
--- a/app-crypt/tpm2-totp/Manifest
+++ b/app-crypt/tpm2-totp/Manifest
@@ -1,2 +1 @@
-DIST tpm2-totp-0.2.1.tar.gz 427226 BLAKE2B e6a9dbcdac4d7fc31048aff968e3eea097752c79a3c1b8551d22558a6b143a758e7bb507722185c648000f4b1edd2f0bbdd443890b5763b297f3d42cfbd84d9d SHA512 2bda34e89b76319a40206e08c0208b0f139309c0b0e40e7168b5e7562096750df504dfcae3a39e6f82fdccbf7a79ed0802d115fbd7560dc3f5b52d81fe8fb59c
 DIST tpm2-totp-0.3.0.tar.gz 428874 BLAKE2B 413f4418cd1ce9a996f36c83e27c3fe256b2d3f5ff36e7df1dc1b651e38afa222be9742d5cfa76287263a4e1402dabea3400b41a1e1bde9f31fe03f82894f4f1 SHA512 d47cc8155a60a464afe602c3114ff8e6b2ff825457e6069693947421716b97c34b00f70adbcb4cda1b5b9639b8a3dfc7800295bbff99822da7a8077ebf78d6b2

diff --git a/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild b/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild
deleted file mode 100644
index e2c2d163e57..00000000000
--- a/app-crypt/tpm2-totp/tpm2-totp-0.2.1-r1.ebuild
+++ /dev/null
@@ -1,35 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools
-
-DESCRIPTION="Attest the trustworthiness of a device against a human using time-based OTP"
-HOMEPAGE="https://github.com/tpm2-software/tpm2-totp"
-SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/v${PV}/${P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="~amd64"
-
-RDEPEND=">=app-crypt/tpm2-tss-2.0
-	media-gfx/qrencode:="
-DEPEND="${RDEPEND}"
-BDEPEND="virtual/pkgconfig"
-
-src_prepare() {
-	default
-	eautoreconf
-}
-
-src_configure() {
-	econf \
-		--disable-static \
-		--disable-defaultflags
-}
-
-src_install() {
-	default
-	find "${D}" -name '*.la' -delete || die
-}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-totp/
@ 2020-10-02  8:42 Joonas Niilola
  0 siblings, 0 replies; 10+ messages in thread
From: Joonas Niilola @ 2020-10-02  8:42 UTC (permalink / raw
  To: gentoo-commits

commit:     67847442aeee9a7e684a53d0b47e65d680503ea9
Author:     Salah Coronya <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Mon Sep 14 03:49:23 2020 +0000
Commit:     Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Fri Oct  2 08:42:30 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=67847442

app-crypt/tpm2-totp: Bump to 0.3.0

Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: Salah Coronya <salah.coronya <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>

 app-crypt/tpm2-totp/Manifest               |  1 +
 app-crypt/tpm2-totp/metadata.xml           |  3 ++
 app-crypt/tpm2-totp/tpm2-totp-0.3.0.ebuild | 51 ++++++++++++++++++++++++++++++
 3 files changed, 55 insertions(+)

diff --git a/app-crypt/tpm2-totp/Manifest b/app-crypt/tpm2-totp/Manifest
index 5e4f68674f2..85caafc9799 100644
--- a/app-crypt/tpm2-totp/Manifest
+++ b/app-crypt/tpm2-totp/Manifest
@@ -1 +1,2 @@
 DIST tpm2-totp-0.2.1.tar.gz 427226 BLAKE2B e6a9dbcdac4d7fc31048aff968e3eea097752c79a3c1b8551d22558a6b143a758e7bb507722185c648000f4b1edd2f0bbdd443890b5763b297f3d42cfbd84d9d SHA512 2bda34e89b76319a40206e08c0208b0f139309c0b0e40e7168b5e7562096750df504dfcae3a39e6f82fdccbf7a79ed0802d115fbd7560dc3f5b52d81fe8fb59c
+DIST tpm2-totp-0.3.0.tar.gz 428874 BLAKE2B 413f4418cd1ce9a996f36c83e27c3fe256b2d3f5ff36e7df1dc1b651e38afa222be9742d5cfa76287263a4e1402dabea3400b41a1e1bde9f31fe03f82894f4f1 SHA512 d47cc8155a60a464afe602c3114ff8e6b2ff825457e6069693947421716b97c34b00f70adbcb4cda1b5b9639b8a3dfc7800295bbff99822da7a8077ebf78d6b2

diff --git a/app-crypt/tpm2-totp/metadata.xml b/app-crypt/tpm2-totp/metadata.xml
index ff3a177c4bd..fb1b2ed30d0 100644
--- a/app-crypt/tpm2-totp/metadata.xml
+++ b/app-crypt/tpm2-totp/metadata.xml
@@ -12,4 +12,7 @@
 	<upstream>
 		<remote-id type="github">tpm2-software/tpm2-totp</remote-id>
 	</upstream>
+	<use>
+		<flag name="plymouth">Add <pkg>sys-boot/plymouth</pkg> support</flag>
+	</use>
 </pkgmetadata>

diff --git a/app-crypt/tpm2-totp/tpm2-totp-0.3.0.ebuild b/app-crypt/tpm2-totp/tpm2-totp-0.3.0.ebuild
new file mode 100644
index 00000000000..b02901ba1dc
--- /dev/null
+++ b/app-crypt/tpm2-totp/tpm2-totp-0.3.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+DESCRIPTION="Attest the trustworthiness of a device against a human using time-based OTP"
+HOMEPAGE="https://github.com/tpm2-software/tpm2-totp"
+SRC_URI="https://github.com/tpm2-software/${PN}/releases/download/v${PV}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="plymouth test"
+
+REQUIRED_USE="test? ( plymouth )"
+
+RDEPEND="app-crypt/tpm2-tss
+	media-gfx/qrencode
+	plymouth? ( sys-boot/plymouth )"
+DEPEND="${RDEPEND}
+	test? (
+		app-crypt/swtpm
+		app-crypt/tpm2-tools
+		>=app-crypt/tpm2-tss-3.0.0
+		sys-apps/fakeroot
+		sys-auth/oath-toolkit
+	)"
+
+BDEPEND="virtual/pkgconfig"
+
+RESTRICT="!test? ( test )"
+
+src_prepare() {
+	default
+	eautoreconf
+}
+
+src_configure() {
+	econf \
+		--disable-static \
+		--disable-defaultflags \
+		$(use_enable plymouth) \
+		$(use_enable test integration)
+}
+
+src_install() {
+	default
+	find "${D}" -name '*.la' -delete || die
+}


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-totp/
@ 2021-04-25  8:00 Michał Górny
  0 siblings, 0 replies; 10+ messages in thread
From: Michał Górny @ 2021-04-25  8:00 UTC (permalink / raw
  To: gentoo-commits

commit:     d3bd5bf04c4614f0be25147568421d85a5ffce3f
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sun Apr 25 07:13:07 2021 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Sun Apr 25 07:59:04 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d3bd5bf0

app-crypt/tpm2-totp: Update maintainer name

Package-Manager: Portage-3.0.17, Repoman-3.0.2
Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 app-crypt/tpm2-totp/metadata.xml | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/app-crypt/tpm2-totp/metadata.xml b/app-crypt/tpm2-totp/metadata.xml
index f98b49016b4..d4aea38bb10 100644
--- a/app-crypt/tpm2-totp/metadata.xml
+++ b/app-crypt/tpm2-totp/metadata.xml
@@ -3,7 +3,7 @@
 <pkgmetadata>
 	<maintainer type="person" proxied="yes">
 		<email>salah.coronya@gmail.com</email>
-		<name>Salah Coronya</name>
+		<name>Christopher Byrne</name>
 	</maintainer>
 	<maintainer type="project" proxied="proxy">
 		<email>proxy-maint@gentoo.org</email>


^ permalink raw reply related	[flat|nested] 10+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-totp/
@ 2022-04-23 21:34 Sam James
  0 siblings, 0 replies; 10+ messages in thread
From: Sam James @ 2022-04-23 21:34 UTC (permalink / raw
  To: gentoo-commits

commit:     221ac1ce9e40b643c08860330b4764ceca457c49
Author:     Christopher Byrne <salah.coronya <AT> gmail <DOT> com>
AuthorDate: Sat Apr 23 19:34:19 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sat Apr 23 21:33:53 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=221ac1ce

app-crypt/tpm2-totp: Add sublot operator to app-crypt/tpm2-tss dep

Signed-off-by: Christopher Byrne <salah.coronya <AT> gmail.com>
Signed-off-by: Sam James <sam <AT> gentoo.org>

 .../tpm2-totp/{tpm2-totp-0.3.0.ebuild => tpm2-totp-0.3.0-r1.ebuild} | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/app-crypt/tpm2-totp/tpm2-totp-0.3.0.ebuild b/app-crypt/tpm2-totp/tpm2-totp-0.3.0-r1.ebuild
similarity index 90%
rename from app-crypt/tpm2-totp/tpm2-totp-0.3.0.ebuild
rename to app-crypt/tpm2-totp/tpm2-totp-0.3.0-r1.ebuild
index 67e6798a5655..0908aaaa181d 100644
--- a/app-crypt/tpm2-totp/tpm2-totp-0.3.0.ebuild
+++ b/app-crypt/tpm2-totp/tpm2-totp-0.3.0-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -16,14 +16,14 @@ IUSE="plymouth test"
 
 REQUIRED_USE="test? ( plymouth )"
 
-RDEPEND="app-crypt/tpm2-tss
+RDEPEND="app-crypt/tpm2-tss:=
 	media-gfx/qrencode
 	plymouth? ( sys-boot/plymouth )"
 DEPEND="${RDEPEND}
 	test? (
 		app-crypt/swtpm
 		app-crypt/tpm2-tools
-		>=app-crypt/tpm2-tss-3.0.0
+		>=app-crypt/tpm2-tss-3.0.0:=
 		sys-apps/fakeroot
 		sys-auth/oath-toolkit
 	)"


^ permalink raw reply related	[flat|nested] 10+ messages in thread

end of thread, other threads:[~2022-04-23 21:34 UTC | newest]

Thread overview: 10+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2020-06-19 23:47 [gentoo-commits] repo/gentoo:master commit in: app-crypt/tpm2-totp/ Conrad Kostecki
  -- strict thread matches above, loose matches on Subject: below --
2022-04-23 21:34 Sam James
2021-04-25  8:00 Michał Górny
2020-10-02  8:42 Joonas Niilola
2020-10-02  8:42 Joonas Niilola
2020-06-22 16:08 Conrad Kostecki
2020-06-19 23:47 Conrad Kostecki
2020-02-26 16:17 Joonas Niilola
2020-02-26 16:17 Joonas Niilola
2020-02-26 16:17 Joonas Niilola

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox